Home | Download | Screen shots | Discussion | Documentation
--- | --- | --- | --- | ---

- Main Page
- Namespaces
- Classes
- Files
- Related Pages
- Examples

- Class List
- Class Hierarchy
- Class Members

# openvrml::read_write_mutex::scoped_write_lock Class Reference

`#include <openvrml/read_write_mutex.h>`

List of all members.

## Detailed Description

Lock the mutex for write access.

## Public Member Functions

| scoped_write_lock (read_write_mutex &mutex)
| Construct.
| ~scoped_write_lock ()
| Destroy.

## Private Attributes

read_write_mutex & | mutex_
| The `read_write_mutex` being locked.
boost::mutex::scoped_lock | lock_
| A lock for `read_write_mutex::mutex_`.

## Constructor & Destructor Documentation

openvrml::read_write_mutex::scoped_write_lock::scoped_write_lock | ( | read_write_mutex & | mutex | ) | `[explicit]`

Construct.

Acquire the lock.

Parameters:

  `[in]` | mutex | a `read_write_mutex`.

openvrml::read_write_mutex::scoped_write_lock::~scoped_write_lock | ( |  | ) |

Destroy.

Release the lock.

## Member Data Documentation

openvrml::read_write_mutex & openvrml::read_write_mutex::scoped_write_lock::mutex_ `[private]`

The `read_write_mutex` being locked.

For internal use only.

boost::mutex::scoped_lock openvrml::read_write_mutex::scoped_write_lock::lock_ `[private]`

A lock for `read_write_mutex::mutex_`.

For internal use only.